PETSc version 3.15.5
Fix/Edit manual page

# PCMGGetType

Determines the form of multigrid to use: multiplicative, additive, full, or the Kaskade algorithm.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGGetType(PC pc,PCMGType *type)

Logically Collective on PC

### Input Parameter

| pc | - the preconditioner context

### Output Parameter

| type | - one of PC_MG_MULTIPLICATIVE, PC_MG_ADDITIVE,PC_MG_FULL, PC_MG_KASKADE

### See Also

PCMGSetLevels()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages